%define ver	0.6
%define rel	SNAP
%define prefix	/usr

Name: scigraphica
Summary: plots spreadsheets graphics origin
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/Productivity
Source: ftp://magnet.fsu.edu/~feiguin/scigraphica/src/sg-%{ver}.tar.gz
BuildRoot: /var/tmp/sg-%{PACKAGE_VERSION}-root
Requires: glib gtk+ gtkextra python python-numpy
Docdir: %{prefix}/docs
%description
SciGraphica is a free (GPL) an application for scientific graphics. 

%prep
%setup -n sg-%{ver}

%build
if [ ! -f configure ]; then
  ./autogen.sh
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
fi
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files

%doc AUTHORS COPYING ChangeLog NEWS README TODO

%{prefix}/bin/sga
%{prefix}/share/pixmaps/sg/
%{prefix}/share/gnome/apps/Applications/sg.desktop
