#ifndef PYTHON_INT_H
#define PYTHON_INT_H

#ifndef Py_eval_input
#include <graminit.h>
#define Py_eval_input eval_input
#endif /* Py_eval_input */

typedef struct _module_opts module_opts;	


struct _module_opts
{  gchar *name;
   gint flags; };	

/* Flags for module loading */
enum {SG_MODULE_LOAD_MAIN = 1 << 0,      /* Load module dict into main dictionary */
      SG_MODULE_LOAD_SYMBOLS = 1 << 1,   /* Load module's symbols into main dictionary */
      SG_MODULE_LOAD_REQ = 1 << 2 }; /* This module is required for normal operation of SG */

int python_init(gchar *progname);

PyObject *main_dict, *builtin_dict, *sys_dict, *os_dict, *os_o, *def_os_dict, 
         *main_o, *builtin_o, *sys_o, *def_sys_dict, *sg_o, *sg_dict,
         *safe_module_path;

/* Variables to be saved between sessions */
gchar *save_vars[5];
PyObject *save_obj[5];
         
         
/* Define your dict object names here */
#define SG_SAFE_MODULES save_obj[0]
#define SG_SAFE_OS save_obj[1]
#define SG_SAFE_SYS save_obj[2]
#define SG_IMPORT_MODULES save_obj[3]
#endif